Bug 998174 - Toggle BT/WLAN Fn+F5 hotkey does not work on Lenovo T430 [NEEDINFO]
Toggle BT/WLAN Fn+F5 hotkey does not work on Lenovo T430
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-17 18:51 EDT by Sandro Mani
Modified: 2015-11-23 12:14 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 12:14:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Sandro Mani 2013-08-17 18:51:31 EDT
Description of problem:
The Fn+F5 hotkey for toggling WLAN/Bluetooth does not work out of the box on a Lenovo T430.

Version-Release number of selected component (if applicable):
3.11.0-0.rc5.git4.2.fc20.x86_64

How reproducible:
always

Additional info:
xev shows that the event is actually captured, i.e.

KeyPress event, serial 42, synthetic NO, window 0x4000001,
    root 0xa0, subw 0x0, time 378636, (780,658), root:(2382,681),
    state 0x0, keycode 246 (keysym 0x1008ff95, XF86WLAN), same_screen YES,
    XLookupString gives 0 bytes: 
    XmbLookupString gives 0 bytes: 
    XFilterEvent returns: False


and as a workaround, one can install an acpi handler, see [1].

[1] https://lists.fedoraproject.org/pipermail/test/2013-August/117339.html
Comment 1 Fedora End Of Life 2013-09-16 12:35:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Justin M. Forbes 2014-02-24 08:55:12 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 3 Sandro Mani 2014-03-07 14:44:49 EST
Still happening with 3.14.0-0.rc5.git1.2.fc21.x86_64.
Comment 4 Soeren Grunewald 2014-04-25 07:03:14 EDT
I'm not sure but this might be the same as #1021036
Comment 5 Jaroslav Reznik 2015-03-03 09:59:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 6 Justin M. Forbes 2015-10-20 15:26:06 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 7 Fedora Kernel Team 2015-11-23 12:14:26 EST
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.